using System;
using System.Collections.Generic;

namespace Stat.IDAL
{
    public interface IWebSites
    {
        Int32 GetWebSum();
        Int32 GetDayRank(int webid);

        bool ClearAll(int webid);
        bool Add(Model.WebSites model);
        bool Edit(Model.WebSites model);
        bool Delete(int id);
        /// <summary>
        /// 修改站点的统计图标显示样式
        /// </summary>
        /// <param name="webid"></param>
        /// <returns></returns>
        bool UpdateShowStype(Model.WebSites model);

        String GetViewSum(string webid);

        IList<Model.WebSites> GetWebSiteInfo(int webid);
        IList<Model.WebSites> GetList(string key);
        IList<Model.WebSites> GetWebSitesList();
        IList<Model.WebSites> GetWebsitesInPower(string nPower);
    }
}
